com.amazonaws.services.lambda.model

## Enum InvocationType

- java.lang.Object
- - java.lang.Enum<InvocationType>
  - - com.amazonaws.services.lambda.model.InvocationType

All Implemented Interfaces:
  Serializable, Comparable<InvocationType>

    public enum InvocationType
    extends Enum<InvocationType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DryRun`
`Event`
`RequestResponse`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static InvocationType` `fromValue(String value)` Use this in place of valueOf.
`String` `toString()`
`static InvocationType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static InvocationType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### Event

    public static final InvocationType Event

#### RequestResponse

    public static final InvocationType RequestResponse

#### DryRun

    public static final InvocationType DryRun

### Method Detail

#### values

    public static InvocationType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (InvocationType c : InvocationType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static InvocationType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<InvocationType>`

#### fromValue

    public static InvocationType fromValue(String value)

Use this in place of valueOf.

Parameters:
  `value` - real value
Returns:
  InvocationType corresponding to the value